## org.gnu.gtk.event
Class CalendarEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.CalendarEvent

All Implemented Interfaces:
  java.io.Serializable

public class CalendarEvent
extends GtkEvent

An event represeting action by a `Calendar` widget.

See Also:
  Serialized Form

Nested Class Summary
`static class` `CalendarEvent.Type` Type of a CalendarEvent

Constructor Summary
`CalendarEvent(java.lang.Object source, CalendarEvent.Type type)` Creates a new Calendar Event.

Method Summary
`boolean` `isOfType(CalendarEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarEvent

    public CalendarEvent(java.lang.Object source,
                         CalendarEvent.Type type)

  Creates a new Calendar Event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### isOfType

    public boolean isOfType(CalendarEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.